//package pps.core.task.job;
//
//import cn.hutool.core.date.DateUtil;
//import cn.hutool.core.util.ObjectUtil;
//import pps.cloud.prediction.service.PlantPredictedPowerLongTermDataCloudService;
//import pps.core.common.cache.TaskLockCache;
//import pps.core.task.constant.TaskConstant;
//import pps.core.task.utils.ServiceUtil;
//import xstartup.annotation.XService;
//import xstartup.annotation.XText;
//import xstartup.base.XContext;
//import xstartup.data.XServiceResult;
//import xstartup.service.job.XJob;
//import xstartup.service.job.annotation.XCronTrigger;
//
//@XText("长期预测数据，每天更新一次")
//@XService
//public class PlantPredictedPowerLongTermDataJob implements XJob {
//    @XCronTrigger(value = "0 45 1 * * ?")
//    @Override
//    public XServiceResult execute(XContext xContext) {
//        xContext.getLogger().info("------ PlantPredictedPowerLongTermDataJob start:{}", DateUtil.date());
//        String key = TaskConstant.TASK_LOCK_KEY + "PlantPredictedPowerLongTermDataJob";
//        TaskLockCache exist = TaskLockCache.exist(xContext, key);
//        if (ObjectUtil.isNull(exist)) {
//            ServiceUtil.setCache(xContext, key);
//            try {
//                PlantPredictedPowerLongTermDataCloudService cloudService = xContext.getBean(PlantPredictedPowerLongTermDataCloudService.class);
//                XServiceResult result = cloudService.runPlantPredictedPowerLongTermData(xContext);
//                result.throwIfFail();
//            } catch (Exception e) {
//                xContext.getLogger().error("------ PlantPredictedPowerLongTermDataJob Exception: ", e);
//            } finally {
//                xContext.getLogger().info("------ PlantPredictedPowerLongTermDataJob end:{}", DateUtil.date());
//                TaskLockCache.delete(xContext, key);
//            }
//        }
//        return XServiceResult.OK;
//    }
//}
